---
title: VRFieldOfView
slug: Web/API/VRFieldOfView
tags:
  - API
  - Experimental
  - Interface
  - Reference
  - VR
  - VRFieldOfView
  - Virtual Reality
  - WebVR
---
<p>{{APIRef("WebVR API")}}{{SeeCompatTable}}{{Deprecated_header}}</p>

<p>The <strong><code>VRFieldOfView</code></strong> interface of the <a href="/en-US/docs/Web/API/WebVR_API">WebVR API</a> represents a field of view defined by 4 different degree values describing the view from a center point.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("VRFieldOfView.upDegrees")}} {{deprecated_inline()}} {{readonlyInline}}</dt>
 <dd>The number of degrees upwards that the field of view extends in.</dd>
 <dt>{{domxref("VRFieldOfView.rightDegrees")}} {{deprecated_inline()}} {{readonlyInline}}</dt>
 <dd>The number of degrees to the right that the field of view extends in.</dd>
 <dt>{{domxref("VRFieldOfView.downDegrees")}} {{deprecated_inline()}} {{readonlyInline}}</dt>
 <dd>The number of degrees downwards that the field of view extends in.</dd>
 <dt>{{domxref("VRFieldOfView.leftDegrees")}} {{deprecated_inline()}} {{readonlyInline}}</dt>
 <dd>The number of degrees to the left that the field of view extends in.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var info = document.querySelector('p');
var list = document.querySelector('ul');
var vrDisplay;

if(navigator.getVRDisplays) {
    reportFieldOfView();
} else {
  info.textContent = 'WebVR API not supported by this browser.'
}

function reportFieldOfView() {
  navigator.getVRDisplays().then(function(displays) {
    vrDisplay = displays[0];
    var lEye = vrDisplay.getEyeParameters('left');
    var rEye = vrDisplay.getEyeParameters('right');
    // lEye and rEye are VREyeParameters objects

    var lFOV = lEye.fieldOfView;
    var rFOV = rEye.fieldOfView;
    // lFOV and rFOV are VRFieldOfView objects

    var listitem1 = document.createElement('li');
    var listitem2 = document.createElement('li');

    listitem1.innerHTML = '&lt;strong&gt;Left eye parameters&lt;/strong&gt;'
                 + '&lt;br&gt;Offset: ' + lEye.offset
                 + '&lt;br&gt;Render width: ' + lEye.renderWidth
                 + '&lt;br&gt;Render height: ' + lEye.renderHeight
                 + '&lt;br&gt;Up degrees: ' + lFOV.upDegrees
                 + '&lt;br&gt;Right degrees: ' + lFOV.rightDegrees
                 + '&lt;br&gt;Down degrees: ' + lFOV.downDegrees
                 + '&lt;br&gt;Left degrees: ' + lFOV.leftDegrees

   listitem2.innerHTML = '&lt;strong&gt;Right eye parameters&lt;/strong&gt;'
                + '&lt;br&gt;Offset: ' + rEye.offset
                + '&lt;br&gt;Render width: ' + rEye.renderWidth
                + '&lt;br&gt;Render height: ' + rEye.renderHeight
                + '&lt;br&gt;Up degrees: ' + rFOV.upDegrees
                + '&lt;br&gt;Right degrees: ' + rFOV.rightDegrees
                + '&lt;br&gt;Down degrees: ' + rFOV.downDegrees
                + '&lt;br&gt;Left degrees: ' + rFOV.leftDegrees

    list.appendChild(listitem1);
    list.appendChild(listitem2);
  });
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#interface-interface-vrfieldofview', 'VRFieldOfView')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRFieldOfView")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
